Bug 93404 - status indicator progress bar not shown while loading big file
Summary: status indicator progress bar not shown while loading big file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.1.1 rc
Hardware: Other All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-08-13 07:16 UTC by Laurent Godard
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
big file (752.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-08-13 09:50 UTC, Laurent Godard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Godard 2015-08-13 07:16:23 UTC
In a macro

when a file is loaded through starDesktop.loadComponentFromUrl no "loading file" progressbar is displayed

when big files, this lead to several seconds of grey window

in 5.0.1 RC1 this evolved a bit as "calculating" progress bar is now displayed but not in 5.0.0.5. Still "loading file", the longest part, is not displayed

bibisecting
-----------
(bibisect-50max repo)

7436ddb9c4b7f3f834fb61db36994380b3ba9879 is the first bad commit
commit 7436ddb9c4b7f3f834fb61db36994380b3ba9879
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 21:57:00 2015 +0800

    source-hash-017f250764ec7b4ecb82ac19f5b3f68cadf1bf56
    
    commit 017f250764ec7b4ecb82ac19f5b3f68cadf1bf56
    Author:     Stephan Bergmann <sbergman@redhat.com>
    AuthorDate: Wed Apr 22 14:06:37 2015 +0200
    Commit:     Stephan Bergmann <sbergman@redhat.com>
    CommitDate: Wed Apr 22 14:06:37 2015 +0200
    
        Ensure WakeUpThread is joined before exit
    
        Change-Id: If50fe94875b29043c75b581bf39ca9deea59dbe3

:040000 040000 5b2e9a504907dc479353d63119c15db444676b12 5ca9773561cf17673161af612b9e0deacb817e50 M      opt


$ git bisect log
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# bad: [40875247f0002056effdf6d2fbe43627691cd86c] source-hash-93f0b14458a618ad575cd446680e5c4aa7d87bdc
git bisect bad 40875247f0002056effdf6d2fbe43627691cd86c
# bad: [07e62597be0600b763c4d18204799dcf09d2d3d9] source-hash-b2ead407c70f71974a1eac79df09072ff8bd0cc2
git bisect bad 07e62597be0600b763c4d18204799dcf09d2d3d9
# good: [65755dc98fdc972c90f86f7102d7855c833a51ec] source-hash-a75d90740647414f55ef5a37bdfb230d624ec2eb
git bisect good 65755dc98fdc972c90f86f7102d7855c833a51ec
# good: [eb19ce6fbff2ae1fa908027d456b0dcf64ed17c2] source-hash-0cd0206fa4392d43724f630555994af842fc0733
git bisect good eb19ce6fbff2ae1fa908027d456b0dcf64ed17c2
# bad: [16d718cb0066025e7f219520c353d4f1052eccc3] source-hash-afd8e4093687557843427d7539c4b0e6ece8bbff
git bisect bad 16d718cb0066025e7f219520c353d4f1052eccc3
# good: [51f3e5cbf50b9935010da5a03e8252e6c89900ed] source-hash-95c04e218782cb198f7851a1d9536058f98cff2a
git bisect good 51f3e5cbf50b9935010da5a03e8252e6c89900ed
# bad: [1a9a2461bfb15a7d04255558d804dd32fe66ddb7] source-hash-fd42a226246470d5083441b976bbe0017d78fcf2
git bisect bad 1a9a2461bfb15a7d04255558d804dd32fe66ddb7
# bad: [5e49b139cca7d6569ec312db416667b439efe5cc] source-hash-eaf41045822732653a0af91ac0faa28fca7f0894
git bisect bad 5e49b139cca7d6569ec312db416667b439efe5cc
# good: [d739e127d31e810675befe1653d88de85fcddad2] source-hash-13df0c5a2f29f008c050fae1899ccb0eef93ad55
git bisect good d739e127d31e810675befe1653d88de85fcddad2
# good: [7abd570e7b15ea1c5a8ac2a3a2e8aa15249e00aa] source-hash-deaed8aff6de824a76d939a02edb0d2ff4a4ccec
git bisect good 7abd570e7b15ea1c5a8ac2a3a2e8aa15249e00aa
# bad: [7436ddb9c4b7f3f834fb61db36994380b3ba9879] source-hash-017f250764ec7b4ecb82ac19f5b3f68cadf1bf56
git bisect bad 7436ddb9c4b7f3f834fb61db36994380b3ba9879
# first bad commit: [7436ddb9c4b7f3f834fb61db36994380b3ba9879] source-hash-017f250764ec7b4ecb82ac19f5b3f68cadf1bf56
Comment 1 Laurent Godard 2015-08-13 09:50:47 UTC
Created attachment 117880 [details]
big file

just double clicking this file to open it reproduces the problem

no need of any macro
Comment 2 Commit Notification 2015-08-13 10:08:42 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54f10a9654b617c4c993044e52e7bd40d0151c53

tdf#93404: Forgot to launch WakeUpThread

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-08-13 11:21:31 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f87e86d0d04537df28a127fdabb14b68c52f626c&h=libreoffice-5-0

tdf#93404: Forgot to launch WakeUpThread

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-08-13 13:21:27 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ded58e062c9e9b8b5f9dc9a18777a1be68359a91

Related tdf#93404: Fix deadlock when joining WakeUpThread

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-08-13 16:27:52 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb7800ca04a81093ebeb37fd2ec4982268c1ea6c&h=libreoffice-5-0

Related tdf#93404: Fix deadlock when joining WakeUpThread

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-08-14 12:16:31 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b1dda2bfaf4f43dd347c2986f1508458dc47c6d&h=libreoffice-5-0-1

tdf#93404: Forgot to launch WakeUpThread

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 10:31:03 UTC Comment hidden (obsolete)